
%global meadversion 1.9
%global namedversion 1.9.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 5

%bcond_without mead

%define maven_version 1.9.redhat-3

Name:           jansi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jansi
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jansi-project-1.9.redhat-3-scm-sources.zip
Source102: jansi-1.9.redhat-3-javadoc.jar
Source103: jansi-1.9.redhat-3-sources.jar
Source104: jansi-1.9.redhat-3.jar
Source105: jansi-1.9.redhat-3.pom
Source106: jansi-project-1.9.redhat-3.pom
Source107: jansi-project-1.9.redhat-3-site.xml
%endif

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
URL:            http://jansi.fusesource.org
%if 0
Requires:       jansi-project >= 0:1.9
Requires:       hawtjni-runtime >= 0:1.5
Requires:       jansi-native >= 0:1.3
Requires:       jansi-native >= 0:1.4
Requires:       jansi-native >= 0:1.4
Requires:       jansi-native >= 0:1.4
Requires:       jansi-native >= 0:1.3
Requires:       jansi-native >= 0:1.3
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jansi-project-%{namedversion}-%{release}-root

%description
Jansi is a java library for generating and interpreting ANSI escape sequences.

%package -n jansi-project
Summary:        jansi-project
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       fusesource-pom >= 0:1.8

%description -n jansi-project
Jansi is a java library for generating and interpreting ANSI escape sequences.

%package -n jansi-javadoc
Summary:        Javadoc for jansi
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jansi-javadoc
%{summary}.

%prep
%setup -q -n jansi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}.jar %{buildroot}%{_javadir}/jansi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jansi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jansi-project-%{namedversion}-site.xml %{buildroot}%{_javadir}/jansi-project-%{namedversion}-site.xml
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jansi-project-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jansi-project.pom
%{__cp} -p %{_sourcedir}/jansi-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jansi.pom

# depmaps
%add_to_maven_depmap org.fusesource.jansi jansi-project %{namedversion} JPP jansi-project
[ %{name} = "jansi-project" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jansi-project
%add_to_maven_depmap org.fusesource.jansi jansi %{namedversion} JPP jansi
[ %{name} = "jansi" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jansi

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jansi-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jansi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jansi-%{namedversion} -x META-INF/\*
%{__ln_s} jansi-%{namedversion} %{buildroot}%{_javadocdir}/jansi

%clean
%{__rm} -rf %{buildroot}

%post -n jansi-project
%update_maven_depmap

%postun -n jansi-project
%update_maven_depmap

%post -n jansi
%update_maven_depmap

%postun -n jansi
%update_maven_depmap

%files -n jansi-project
%defattr(0644,root,root,0755)
%{_javadir}/jansi-project-%{namedversion}-site.xml
%{_javadir}/jansi-project-site.xml
%{_mavenpomdir}/JPP-jansi-project.pom
%{_mavendepmapfragdir}/jansi-project

%files -n jansi
%defattr(0644,root,root,0755)
%doc changelog.md KEYS license.txt readme.md
%{_javadir}/jansi-%{namedversion}.jar
%{_javadir}/jansi.jar
%{_javadir}/jansi-%{namedversion}-sources.jar
%{_javadir}/jansi-sources.jar
%{_mavenpomdir}/JPP-jansi.pom
%{_mavendepmapfragdir}/jansi

%files -n jansi-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jansi-%{namedversion}
%{_javadocdir}/jansi
%{_javadir}/jansi-%{namedversion}-javadoc.jar
%{_javadir}/jansi-javadoc.jar

%changelog
* Thu Sep 19 2013 David Walluck <dwalluck@redhat.com> 0:1.9-4.redhat_3.1
- rebuild for hawtjni

* Thu Sep 19 2013 David Walluck <dwalluck@redhat.com> 0:1.9-3.redhat_2.1
- fix changelog

* Thu Sep 19 2013 David Walluck <dwalluck@redhat.com> 0:1.9-3.redhat_2.1
- convert to MEAD
- no site as MEAD cannot build it

* Thu Mar 28 2013 David Walluck <dwalluck@redhat.com> 0:1.9-2
- include in jar: jansi-native-1.5-redhat-1 windows{32,64}

* Tue Mar 12 2013 David Walluck <dwalluck@redhat.com> 0:1.9-1
- 1.9

* Wed Mar 06 2013 David Walluck <dwalluck@redhat.com> 0:1.8-5
- remove some spurious requires
- remove jansi-project requires even though technically correct
- move docs from jansi-project to jansi

* Wed Mar 06 2013 David Walluck <dwalluck@redhat.com> 0:1.8-4
- bundle jansi-native natives

* Wed Mar 06 2013 David Walluck <dwalluck@redhat.com> 0:1.8-3
- build with plugins
- build site
- fix version in dirs

* Tue Mar 05 2013 David Walluck <dwalluck@redhat.com> 0:1.8-2
- fix windows support
- exclude javadoc jars
- apply vman
- enable repolib
- add some docs

* Fri Feb 22 2013 David Walluck <dwalluck@redhat.com> 0:1.8-1
- 1.8

* Fri Jun 20 2011 David Walluck <dwalluck@redhat.com> 0:1.4-1.1
- use maven-jxr

* Tue Dec 21 2010 David Walluck <dwalluck@redhat.com> 0:1.4-1
- release
